{% load i18n %}
{% load base_tags %}
{% load markdownify %}
{% load static %}
{% load custom_tags %}



<link href="https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;500;700&amp;display=swap" rel="stylesheet">
<style>
    .art_hero_section {
        display: block;
        margin-top: 2em;
    }

    .art_hero_row {
        display: flex;
        flex-direction: row;
    }

    .art_hero_col {
        flex: .5;
        justify-content: center;
        align-items: center;
        align-content: center;
    }

    .art_hero_h3>h3 {
        font-family: Inter;
        font-style: normal;
        font-weight: bold;
        font-size: 3rem;
        line-height: 68px;
        text-transform: uppercase;
        margin-left: 1.5rem;
        color: #333333;
        margin-top: 1.5em;
    }

    .art_hero_p>p {
        font-family: Inter;
        font-style: normal;
        font-weight: 500;
        font-size: 1em;
        line-height: 24px;
        margin-left: 1.5rem;
        display: block;
        color: #333333;
    }

    .art_hero_h3_green {
        color: #2E884B;
    }

    .art_hero_img {
        margin-top: 2em;
    }

    @media only screen and (max-width: 720px) {
        .art_hero_row {
            flex-direction: column;
        }

        .art_hero_h3>h3 {
            font-size: 2.7rem;
            margin: 1rem;
            margin-top: .5em;
            text-align: center;
        }
        .art_hero_img {
            width: 100%;
        }
        .art_hero_p>p {
            text-align: justify;
            margin: 1rem;
            margin-top: 2em;
        }
    }

    @media only screen and (max-width: 480px) {
        .art_hero_h3>h3 {
            font-size: 2.2rem;
            line-height: 48px;
        }
    }
</style>

<div class="art_hero_section">
    <div class="art_hero_row">
        <div class="art_hero_col">
            <div class="art_hero_left_box">
                <div class="art_hero_h3">
                    <h3>KERALA STATE <br>
                        <span class="art_hero_h3_green">SPATIAL DATA</span> <br>
                        INFRASTRUCTURE
                    </h3>
                </div>
                <div class="art_hero_p">
                    <p>The Kerala State Spatial Data Infrastructure (KSDI) is an Internet based Geo-spatial Data
                        Directory for the state that facilitates users of the system to share and explore data related
                        to political and administrative boundaries, natural resources, transportation and
                        infrastructure, demography, agro and socio economy etc., of the state.</p>
                </div>
            </div>
        </div>
        <div class="art_hero_col">
            <div class="art_hero_right_box">
                <img class="art_hero_img" src="{{ custom_theme.jumbotron_bg.url }}" alt="">
            </div>
        </div>
    </div>
</div>


<style>
    .section-title,
    .section-title--white {
        text-align: center;
        font-weight: 600;
        font-size: 48px;
        line-height: 58px;
        text-transform: uppercase;
        overflow: hidden;
    }

    .section-title--white {
        color: white;
    }

    .section-title span,
    .section-title--white span {
        display: inline-block;
        position: relative;
        margin-bottom: 42px;
    }

    .section-title span:after,
    .section-title span:before {
        content: "";
        position: absolute;
        border-top: 2px solid #243329;
        top: 50%;
        width: 800px;
    }

    .section-title--white span:after,
    .section-title--white span:before {
        content: "";
        position: absolute;
        border-top: 2px solid #FFF;
        top: 50%;
        width: 800px;
    }

    .section-title span:before,
    .section-title--white span:before {
        right: 100%;
        margin-right: 15px;
    }

    .section-title span:after,
    .section-title--white span:after {
        left: 100%;
        margin-left: 15px;
    }

    #maps__list a {
        cursor: pointer;
        text-decoration: none;
    }

    #button__explore-map,
    #button__explore-map--small {
        background: #2E884B;
        border-radius: 4px;
        padding: 33px 211px;
        color: #FFF;
        border: none;
        font-weight: 600;
        font-size: 16px;
        line-height: 19px;
        margin: auto;
    }

    #button__explore-map--small {
        padding: 15px 99px;
    }
</style>

{% block maps %}
<section id="maps">
    <div class="container text-center">
        <div class="row section-title">
            <span>MAPS</span>
        </div>
        <div class="row" id="maps__list"></div>
        <a href="/catalogue/#/?f=map"><button id="button__explore-map" class="hidden-xs">Explore Maps</button></a>
        <a href="/catalogue/#/?f=map"><button id="button__explore-map--small" class="visible-xs">Explore Maps</button></a>
    </div>
</section>
{% endblock %}

<style>
    section#showcase {
        margin-top: 96px;
    }

    .home-facets a {
        color: #FFF;
        display: block;
        padding: 67px 0;
    }

    .home-facets a:hover {
        color: inherit;
    }

    .showcase-block {
        background: #36453B;
        color: #FFF;
        padding: 0;
    }

    .showcase-block:hover {
        background: #F7BE33;
    }

    .showcase-block__icon {
        display: block;
        margin: auto;
    }

    .showcase-block__count {
        display: block;
        padding: 19px 0 3px;
        font-weight: 600;
        font-size: 24px;
        line-height: 29px;
    }

    .showcase-block__title {
        display: block;
        font-weight: 600;
        font-size: 18px;
        line-height: 22px;
    }
</style>

{% block showcase %}
<section id="showcase">
    <div class="row">
        <div class="container text-center">
            <div class="row home-facets">
                {% with facet_type='home' %}
                {% facets as facets %}
                <div class="col-sm-4 showcase-block">
                    <a href="/catalogue/#/?f=dataset">
                        <img class="showcase-block__icon" src="{% static 'img/layers.svg' %}" alt="layer-icon"/>
                        <span class="showcase-block__count">{{ facets.dataset|default:0 }}</span>
                        <span class="showcase-block__title">{% blocktrans count counter=facets.dataset %}Layer{% plural %}Layers{% endblocktrans %}</span>
                    </a>
                </div>
                <div class="col-sm-4 showcase-block">
                    <a href="/catalogue/#/?f=map">
                        <img class="showcase-block__icon" src="{% static 'img/maps.svg' %}" alt="layer-icon"/>
                        <span class="showcase-block__count">{{ facets.map|default:0 }}</span>
                        <span class="showcase-block__title">{% blocktrans count counter=facets.map %}Map{% plural %}Maps{% endblocktrans %}</span>
                    </a>
                </div>
                <div class="col-sm-4 showcase-block">
                    <a href="/people">
                        <img class="showcase-block__icon" src="{% static 'img/users.svg' %}" alt="layer-icon"/>
                        <span class="showcase-block__count">{{ facets.user|default:0 }}</span>
                        <span class="showcase-block__title">{% blocktrans count counter=facets.user %}User{% plural %}Users{% endblocktrans %}</span>
                    </a>
                </div>
                {% endwith %}
            </div>
        </div>
    </div>
</section>
{% endblock showcase %}

<style>
    
    section#datasets {
    background: rgb(36, 51, 41) url('{% static "/img/bg-pattern.svg" %}');
    padding-top: 239px !important;
    margin-top: -154px !important;
    padding-bottom: 222px !important;
}
.dataset-item {
    background: white !important;
    display:flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    border-radius: 50%;
    width: 150px;
    height: 150px;
    color: #243329 !important;
    margin: auto;
    position: relative;
}
.dataset-item__count {
    font-size: 15px !important;
    position: absolute;
    top: 115px;
    left: 49%;
    font-weight: 600;
}
.category h4{
    font-size: 12px;
    padding: 2px;
}
section#campaign {
    position: relative;
    background: #FFF;
}
.poster-wrapper {
    background: white;
    padding: 9px;
    width: 100%;
    max-width: 850px;
    margin: -12% auto auto;
    position: relative;
    box-shadow: 0px 4px 15px rgba(156, 146, 121, 0.4);
}
.poster-wrapper img {
    width: 100%;
}
.campaign-title {
    margin: 20px auto !important;
    color: #243329 !important;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
}

/* common */
.ml-2 {
    margin-left: 2% !important;
}
.bg-white {
    background-color: #FFF !important;
}
/* maps */
#ms-container {
    top: 99px !important;
}

</style>

{% block datasets %}
<section id="datasets">
    {% get_visibile_resources request.user %}
</section>
{% endblock datasets %}




<section id="campaign">
    <div class="row">
        <div class="container text-center">
            <div class="poster-wrapper">
                <img src="{% get_campaign_image %}" alt="ongoing event - mapathon keralam"/>
                <p class="campaign-title">{% get_campaign_name %}</p>
            </div>
        </div>
    </div>
    <br><br><br>
</section>

<style>
    #acknowledgement{
        text-align: center;
    }
    #acknowledgement  .content{
        text-align: center;
    }
    #acknowledgement  .ontent  p{
        width: 100%;
        display: block;
        text-align: center;
    }

</style>

<section id="acknowledgement"> 
    <div class="content">
        <p>Developed by <span class="icfoss">ICFOSS</span> | Powered by <span class="geonode">Geonode</span></p>
    </div>
</section>


<style>
    #maps__list a {
    cursor: pointer;
    text-decoration: none;
}
.map-block {
    display: block;
    text-align: left;
    padding: 12px;
    margin: 0 auto 49px;
    width: 264px;
    /*min-height: 414px;*/
    background: #FFFFFF;
    box-shadow: 0px 4px 15px rgba(156, 146, 121, 0.5);
    border-radius: 4px;
}
.map-block img{
    width: 100%;
}
.map-block__title {
    color: #243329;
    margin-top: 15px;
    font-weight: 600;
    font-size: 18px;
    line-height: 22px;
}
.map-block__subtitle {
    color: #84968A;
    margin-top: 5px;
    font-weight: 600;
    font-size: 16px;
    line-height: 19px;
}

</style>

<script>
    var request = new XMLHttpRequest();
    request.open('GET', 'api/maps/?limit=4&offset=0', true);
    request.onload = function () {
        if (request.status >= 200 && request.status < 400) {
            var response = JSON.parse(request.responseText);
            domContent = '';
            response.objects.forEach(function (mapItem) {
                console.log(mapItem); // /catalogue/#/map/7
                domContent += "<div class='col-xs-12 col-sm-6 col-md-3'>\
    <a class='map-block' href='/catalogue/#/map/" + mapItem['id'] + "'>\
      <img class='map-block__image' src='" + mapItem['thumbnail_url'] + "' alt='map thumbnail - " + mapItem['title'] + "' />\
      <div class='map-block__title'>" + mapItem['title'] + "</div>\
      <div class='map-block__subtitle'>" + mapItem['abstract'] + "</div>\
    </a>\
      </div>";
            });
            element = document.getElementById('maps__list');
            console.log(element);
            element.innerHTML = domContent;
        }
    };
    request.send();
</script>


